Skip to content
GuidesPlaygroundDashboard

Get feature by type and ID

GET/api/v1/features/{type}/{id}

Get feature by type and ID

Path ParametersExpand Collapse
type: string
id: number
ReturnsExpand Collapse
GeoJsonFeature = object { geometry, properties, type, 2 more }
geometry: GeoJsonGeometry { coordinates, type }
coordinates: array of number or array of array of number or array of array of array of number or array of array of array of array of number

GeoJSON coordinates array (nesting depth varies by geometry type)

One of the following:
array of number
array of array of number
array of array of array of number
array of array of array of array of number
type: "Point" or "LineString" or "Polygon" or 3 more
One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: map[unknown]
type: "Feature"
id: optional string

Feature identifier (type/osm_id)

osm_id: optional number

OpenStreetMap ID

Get feature by type and ID

curl https://plaza.fyi/api/v1/features/$TYPE/$ID \
    -H "Authorization: Bearer $PLAZA_API_KEY"
Returns Examples